package com.fjhx.flow.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum NodeHandleTypeEnum {

    ORDINARY(10, "常规"),
    POLYMERIZE(20, "聚合"),
    CARBON_COPY(30, "抄送"),
    ;

    private final Integer key;

    private final String value;

    private static final Map<Integer, NodeHandleTypeEnum> map = new HashMap<>();

    static {
        for (NodeHandleTypeEnum value : NodeHandleTypeEnum.values()) {
            map.put(value.getKey(), value);
        }
    }

    public static NodeHandleTypeEnum getEnum(Integer key) {
        NodeHandleTypeEnum nodeTypeEnum = map.get(key);
        if (nodeTypeEnum == null) {
            throw new ServiceException("未知节点处理类型");
        }
        return nodeTypeEnum;
    }

}
